<?PHP
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * This file is part of Travelsized CMS
 *              A content management system with modules, based on wiki syntax
 *
 * Author: Dan Jensen <admin@leinir.dk>
 * Copyright 2003/2004
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * The GNU General Public License is available at: http://www.gnu.org/copyleft/
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

/**
 * Function to send a message to a user, with the subject and message as defined
 *
 * @param	user_id	The user id to send the message to
 * @param	subject	The subject of the message
 * @param	message	The message body
 * @param	from		The username for the sender
 *
 * @return	bool	Will return true if the message was sent successfully
 */
function sendMessage($user_id, $subject, $message, $from) {
	if( mail( getUserInfo( $user_id, "email" ), $subject, $message, "From: " . getUserInfo( $from, "name") . " <" . getUserInfo( $from, "email" ) . ">" . "\r\n" . "X-Mailer: PHP/" . phpversion() ) )
		return true;
	
	return false; // If we get to here, that means the message was not accepted for delivery
}
?>