<?PHP
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * This file is part of Travelsized CMS
 *              A content management system with modules, based on wiki syntax
 *
 * Author: Dan Jensen <admin@leinir.dk>
 * Copyright 2003/2004
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * The GNU General Public License is available at: http://www.gnu.org/copyleft/
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

$page_author = $creator_name;
$page_author_email = $creator_email;
$page_menu = 1;
$page_date = "30/10/2003, 20:39";
$page_title = i18n("Page setup");

if (!auth($_REQUEST["username"], $_REQUEST["password"])) {
	$page_content = loginform($language, "./index.php?page_id=5&language=$language", $auth_messages);
} else if (isauth()) {
	if ($_REQUEST["action"] == "rebuild") {
		update_getpage_id($page_folder, $setup_folder, $pagectl);
		$page_content = "$page_content<p>{$commands["rebuild_page_complete"]}</p>";
	}
	//Manage pages (delete, update \$page-to-\$page_id backwards lookup index (setup/page_backwards.txt))


	if ($_REQUEST["action"] == "delete" && $_REQUEST["delete_id"] != "") {
		global $setup_folder;
		if ($_REQUEST["confirm_delete"] == "true") {
			// get array $menufiles$fp = opendir("$setup_folder/modules");
			$fp = opendir("$setup_folder/pages");
			while ($file = readdir($fp)) {
				if (substr($file, 0, strlen("{$_REQUEST['delete_id']}.")) == "{$_REQUEST['delete_id']}.") $menufile[] ="$setup_folder/pages/$file";
			}
			closedir($fp);

			foreach ($menufile as $key => $value) {
				if (!unlink("$value")) {
					$page_content = "<p>" . i18n("An error occured during the removal of the page files!") . "</p>";
				}
			}
			if ($page_content == "") header("./index.php?page_id=7&language=$language");
		} else {
			$page_content = "
				<p>" . i18n("Please confirm that you wish to delete the page with ID ##0##", array($_REQUEST['delete_id'])) . "</p>
				<p class=\"wikicenteralign\">
				<a href=\"./index.php?page_id=5&amp;language=$language&amp;action=delete&amp;menu_id={$_REQUEST['delete_id']}&amp;confirm_delete=true\" class=\"command\">[" . i18n("Confirm delete") . "]</a>
				<a href=\"./index.php?page_id=5&amp;language=$language\" class=\"command\">[" . i18n("Abort delete") . "]</a>
				</p>";
		}
	} else {
		$pages_temp = $pagectl->fetchPageList($page_folder);
		sort($pages_temp);
		$page_content = "$page_content
			<table cellspacing=\"4\" class=\"setup\">
				<tr class=\"setup\">
				<td valign=\"top\" class=\"setup-header\">
				<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
					<tr class=\"setup\">
					<td width=\"50%\">
						<div align=\"left\"><em>
					<a href=\"./index.php?page_id=3&amp;language=$language\">Setup</a>
					&gt;&gt; <a href=\"./index.php?page_id=5&amp;language=$language\">" . i18n("Pages") . "</a></em></div>
					</td>
					<td>
						<div align=\"right\">
							<a class=\"command\" href=\"./index.php?page_id=5&amp;language=$language&amp;action=rebuild\">[" . i18n("Rebuild page index") . "]</a>
							<a class=\"command\" href=\"./index.php?page_id=6&amp;edit_title=New%20page&amp;language=$language\">[" . i18n("New") . "]</a>
						</div>
					</td>
					</tr>
				</table>
				</td>
				</tr>
				<tr class=\"setup\">
					<td>
					<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
					<tr class=\"setup\">
					<th style=\"border-bottom: 1px solid gray;\" width=\"8%\">" . i18n("ID") . "</th>
					<th style=\"border-bottom: 1px solid gray;\">" . i18n("Title (click to edit)") . "</th>
					<th style=\"border-bottom: 1px solid gray;\" width=\"12%\">" . i18n("Language") . "</th>
					<th style=\"border-bottom: 1px solid gray;\" width=\"12%\">" . i18n("Delete") . "</th>
					</tr>
					<tr>
					<td>
						<div>0</div>
					</td>
					<td>
						<div><em>" . i18n("Front page") . "</em></div>
					</td>
					<td class=\"wikicenteralign\">";
			foreach ($languages as $key => $value) {
				$page_content .= "					<div><a class=\"command\" href=\"./index.php?page_id=6&amp;edit_frontpage=true&amp;edit_language=$value&amp;language=$language\">[$value]</a></div>";
			}
			$page_content .= "</td>
					<td>
					&nbsp;
					</td>
					</tr>";
	
		$bgarray[1] = "#e0e0e0";
		$bgarray[2] = "transparent";
		foreach($pages_temp as $key => $value) {
			$bgarray = array_reverse($bgarray);
			$page_content = "$page_content
							<tr><td style=\"background-color: {$bgarray[1]}\"><div>{$value["id"]}</div></td>
								<td style=\"background-color: {$bgarray[1]}\">";
			foreach ($value["title"] as $key2 => $value2) {
				$page_content = "$page_content<div><a href=\"./index.php?page_id=6&amp;edit_id={$value["id"]}&amp;edit_language={$value['language'][$key2]}&amp;language=$language\">$value2</a></div>";
			}
			$page_content = "$page_content</td><td style=\"background-color: {$bgarray[1]}\" class=\"wikicenteralign\">";
			foreach ($value["language"] as $key2 => $value2) {
				$page_content = "$page_content<div><a href=\"./index.php?page_id=6&amp;edit_id={$value["id"]}&amp;edit_language={$value['language'][$key2]}&amp;language=$language\">[$value2]</a></div>";
			}
			$page_content = "$page_content</td><td style=\"background-color: {$bgarray[1]}\" class=\"wikirightalign\"><a class=\"command\" href=\"./index.php?page_id=5&amp;language=$language&amp;action=delete&amp;delete_id={$value['id']}\">[" . i18n("Delete") . "]</a></td></tr>";
		}
		$page_content = "$page_content
			</td></tr></table>
			</td></tr></table>";
	}
}
?>
