<?PHP
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * This file is part of Travelsized CMS
 *              A content management system with modules, based on wiki syntax
 *
 * Author: Dan Jensen <admin@leinir.dk>
 * Copyright 2003/2004
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * The GNU General Public License is available at: http://www.gnu.org/copyleft/
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

$page_author = $creator_name;
$page_author_email = $creator_email;
$page_menu = 1;
$page_date = date("d/m/Y, G:i");
$page_title = i18n("Setup");

if (!auth($_REQUEST['username'], $_REQUEST['password'])) {
	$page_content = loginform($language, "./index.php?page_id=3&language=$language", $auth_messages);
} else if (!isAllowed("global_setup")) {
	$page_content = "<p>" . i18n("You are not allowed to setup the site") . "</p>";
} else {
	$page_content = "
	<table cellspacing=\"4\" class=\"setup\">
	<tr class=\"setup\">
		<td valign=\"top\" class=\"setup-header\">
		<table class=\"setup\" width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
			<tr class=\"setup\">
			<td width=\"50%\">
				<div align=\"left\"><em><a href=\"./index.php?page_id=3&amp;language=$language\">Setup</a></em></div>
			</td>
			</tr>
		</table>
		</td>
	</tr>
	</table>
	<table cellspacing=\"4\" class=\"setup\">
	<tr>
		<td valign=\"top\" class=\"setup-header\">
		<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
			<tr>
			<td width=\"50%\">
				<div align=\"left\"><em>" . i18n("Your profile") . "</em></div>
			</td>
			<td>
				<div align=\"right\">
					<a class=\"command\" href=\"./index.php?page_id=13&amp;language=$language&amp;user_id=" . currentUser() . "\">[" . i18n("View") . "]</a>
					";
	foreach ($profilemodules as $key => $value) {
		$page_content .= "<a href=\"" . siteURL() . "?page_id=13&amp;profile_mode=module&amp;module=$value&amp;user_id=" . currentUser() . "\" class=\"command\">[" . i18n(substr($value, 14)) . "]</a>
		";
	}
	$page_content .= "
					<a class=\"command\" href=\"./index.php?page_id=13&amp;language=$language&amp;user_id=" . currentUser() . "&amp;profile_mode=edit\">[" . i18n("Edit") . "]</a>
				</div>
			</td>
			</tr>
		</table>
		</td>
	</tr>";
	
	if (isAllowed("global_pages_edit")) {
	$page_content .= "
	<tr>
		<td valign=\"top\" class=\"setup-header\">
		<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
			<tr>
			<td width=\"50%\">
				<div align=\"left\"><em><a class=\"command\" href=\"./index.php?page_id=5&amp;language=$language\">" . i18n("Pages") . "</a></em></div>
			</td>
			<td>
				<div align=\"right\">
					<a class=\"command\" href=\"./index.php?page_id=5&amp;language=$language&amp;action=rebuild\">[" . i18n("Rebuild page index") . "]</a>
					<a class=\"command\" href=\"./index.php?page_id=6&amp;edit_title=New%20page&amp;language=$language\">[" . i18n("New") . "]</a>
				</div>
			</td>
			</tr>
		</table>
		</td>
	</tr>";
	}
	
	if (isAllowed("global_menus")) {
	$page_content .= "
	<tr>
		<td valign=\"top\" class=\"setup-header\">
		<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
			<tr>
			<td width=\"50%\">
				<div align=\"left\"><em><a class=\"command\" href=\"./index.php?page_id=7&amp;language=$language\">" . i18n("Menus") . "</a></em></div>
			</td>
			<td>
				<div align=\"right\">
					<a class=\"command\" href=\"./index.php?page_id=8&amp;edit_title=New%20menu%20menu&amp;language=$language\">[" . i18n("New") . "]</a>
				</div>
			</td>
			</tr>
		</table>
		</td>
	</tr>";
	}
	
	if (isAllowed("global_users_edit")) {
	$page_content .= "
	<tr>
		<td valign=\"top\" class=\"setup-header\">
		<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
			<tr>
			<td width=\"50%\">
				<div align=\"left\"><em><a class=\"command\" href=\"./index.php?page_id=4&amp;language=$language\">" . i18n("Users") . "</a></em></div>
			</td>
			<td>
				<div align=\"right\">
					<a class=\"command\" href=\"./index.php?page_id=4&amp;language=$language&amp;action=profile_options\">[" . i18n("Profile options") . "]</a>
					<a class=\"command\" href=\"./index.php?page_id=4&amp;language=$language&amp;action=default_permissions\">[" . i18n("Set permission defaults") . "]</a>
					<a class=\"command\" href=\"./index.php?page_id=4&amp;language=$language&amp;action=add\">[" . i18n("New") . "]</a>
				</div>
			</td>
			</tr>
		</table>
		</td>
	</tr>";
	}
	
	if (isAllowed("global_themes")) {
	$page_content .= "
	<tr>
		<td valign=\"top\" class=\"setup-header\">
		<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
			<tr>
			<td width=\"50%\">
				<div align=\"left\"><em><a class=\"command\" href=\"./index.php?page_id=9&amp;language=$language\">" . i18n("Themes") . "</a></em></div>
			</td>
			<td>
				<div align=\"right\">
					<a class=\"command\" href=\"./index.php?page_id=9&amp;laguage=$language&amp;action=options\">[" . i18n("Options") . "]</a>
				</div>
			</td>
			</tr>
		</table>
		</td>
	</tr>";
	}
	
	if (isAllowed("global_files")) {
	$page_content .= "
	<tr>
		<td valign=\"top\" class=\"setup-header\">
		<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
			<tr>
			<td width=\"50%\">
				<div align=\"left\"><em><a class=\"command\" href=\"./index.php?page_id=11&amp;language=$language\">" . i18n("Files") . "</a></em></div>
			</td>
			<td>
				<div align=\"right\">
					<a class=\"command\" href=\"./index.php?page_id=11&amp;action=upload&amp;language=$language\">[" . i18n("Upload file") . "]</a>
				</div>
			</td>
			</tr>
		</table>
		</td>
	</tr>";
	}
	
	$page_content .= "
	<tr>
		<td valign=\"top\" class=\"setup-header\">
		<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
			<tr>
			<td width=\"50%\">
				<div align=\"left\"><em><a class=\"command\" href=\"./index.php?page_id=12&amp;language=$language\">" . i18n("Modules") . "</a></em></div>
			</td>
			<td>
				<div align=\"right\">
					" . i18n("Found modules:") . "<br />";
	foreach($modules_setup as $key => $value) {
		$page_content .= "<a href=\"./index.php?page_id=12&amp;module=$value&amp;language=$language\">{$modules_names[$key]}</a><br />";
	}
	$page_content .= "				</div>
			</td>
		</table>
		</td>
	</tr>";
	
	$page_content .= "
	</table>";

}
?>
