<?PHP
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * This file is part of Travelsized CMS
 *              A content management system with modules, based on wiki syntax
 *
 * Author: Dan Jensen <admin@leinir.dk>
 * Copyright 2003/2004
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * The GNU General Public License is available at: http://www.gnu.org/copyleft/
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

$page_author = $creator_name;
$page_author_email = $creator_email;
$page_menu = 1;
$page_date = "5/5/2006, 10:49";
$page_title = i18n("Theme setup");

if (!auth($_REQUEST["username"], $_REQUEST["password"])) {
	$page_content = loginform($language, "./index.php?page_id=5&language=$language", $auth_messages);
} else if (isauth()) {
	//Manage themes

	$page_content .= "
	<form enctype=\"multipart/form-data\" action=\"" . thisPageURL() . "\" method=\"post\">
		<table  cellspacing=\"4\" class=\"setup\">
			<tr class=\"setup\">
			<td valign=\"top\" class=\"setup-header\" colspan=\"2\">
			<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
				<tr class=\"setup\">
				<td width=\"50%\">
					<div align=\"left\"><em>
					<a href=\"./index.php?page_id=3&amp;language=$language\">Setup</a>
					&gt;&gt; <a href=\"./index.php?page_id=9&amp;language=$language\">" . i18n("Themes") . "</a></em></div>
				</td>
				<td>
					<div align=\"right\">
						<a class=\"command\" href=\"./index.php?page_id=9&amp;action=options&amp;language=$language\">[" . i18n("Options") . "]</a>
					</div>
				</td>
				</tr>
			</table>
			</td>
			</tr>
			<tr class=\"setup\">
				<td>";
	if ($_REQUEST["action"] == "options") {
		if ($_POST["save_options"]) {
			if ($_REQUEST["theme_follows_menu"]) {
				$theme_options["theme_follows_menu"] = "1";
			} else {
				$theme_options["theme_follows_menu"] = "0";
			}
			if ($_REQUEST["force_follow"]) {
				$theme_options["force_follow"] = "1";
			} else {
				$theme_options["force_follow"] = "0";
			}
			if (file_exists($theme_options_file)) unlink($theme_options_file);
			file_put_contents($theme_options_file, array_export($theme_options, "theme_options"));
		}
		if ($theme_options["theme_follows_menu"] == "1") {
			$theme_follows_menu = "checked ";
		} else {
			$theme_follows_menu = "";
		}
		if ($theme_options["force_follow"] == "1") {
			$force_follow = "checked ";
		} else {
			$force_follow = "";
		}
		$page_content .= "
		<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
			<tr class=\"setup\">
				<th width=\"50%\" style=\"border-bottom: 1px solid gray;\">" . i18n("Theme") . "</th>
				<th style=\"border-bottom: 1px solid gray;\">" . i18n("Functions") . "</th>
			</tr>
			<tr>
				<td>
					" . i18n("Theme follows menu") . "
					<small class=\"comment\">" . i18n("Enabling this will make the theme follow the menu. Set which theme the menu will cause the site to use by editing the menu. Default is to inherit the theme from last page (e.g. no change from normal behaviour)") . "</small>
				</td>
				<td><label><input class=\"setup\" name=\"theme_follows_menu\" type=\"checkbox\" $theme_follows_menu/>" . i18n("Theme follows menu") . "</label></td>
			</tr>
			<tr>
				<td>
					" . i18n("Force theme follows menu") . "
					<small class=\"comment\">" . i18n("If the above is turned on, and this is turned on as well, the theme will be set even if the user has set a custom theme. It will not reset the user's chosen theme, it will just set the theme for the current menu (inheritance will switch back to the user's chosen theme in stead of using the theme from the previous page)") . "</small>
				</td>
				<td><label><input class=\"setup\" name=\"force_follow\" type=\"checkbox\" $force_follow/>" . i18n("Force theme follows menu") . "</label></td>
			</tr>
			<tr class=\"setup\">
				<td><input type=\"submit\" name=\"save_options\" value=\"" . i18n("Save options") . "\" /></td>
				<td class=\"wikirightalign\"><input type=\"reset\" value=\"" . i18n("Revert to saved") . "\" /></td>
			</td>
		</table>
		
		";
	} else {
		$page_content .= "
				<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
				<tr class=\"setup\">
					<th width=\"50%\" style=\"border-bottom: 1px solid gray;\">" . i18n("Theme") . "</th>
					<th style=\"border-bottom: 1px solid gray;\">" . i18n("Functions") . "</th>
				</tr>";
	
		$bgarray[1] = "transparent";
		$bgarray[2] = "#e0e0e0";
		$fp = opendir($files_folder);
		$array_index = 0;
		
		closedir($fp);
		foreach($theme_name as $key => $value) {
			$bgarray = array_reverse($bgarray);
			$page_content .= "
				<tr>
					<td style=\"background-color: {$bgarray[1]}\"><div>$value</div></td>
					<td style=\"background-color: {$bgarray[1]}\"><div align=\"right\">";
			if ($theme_folder[$key] != "default") {
				$page_content .= "<a class=\"command\" href=\"./index.php?page_id=9&action=delete&themename={$theme_folders[$key]}&language=$language\">[" . i18n("Delete") . "]</a>";
			} else {
				$page_content .= i18n("(the default theme cannot be deleted)");
			}
			$page_content .= "</div></td>
				</tr>";
		}
		$page_content .= "
				</table>";
	}
	$page_content .= "
				</td>
			</tr>
		</table>
	</form>";
}
?>
