<?PHP
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * This file is part of Travelsized CMS
 *              A content management system with modules, based on wiki syntax
 *
 * Author: Dan Jensen <admin@leinir.dk>
 * Copyright 2003/2004
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * The GNU General Public License is available at: http://www.gnu.org/copyleft/
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */

	$page_author = $creator_name;
	$page_author_email = $creator_email;
	$page_menu = 1;
	$page_date = "30/10/2003, 16:51";

if (!auth($_REQUEST["username"], $_REQUEST["password"])) {
	$page_content = loginform($language, "./index.php?page_id=4&amp;language=$language", $auth_messages);
} else if (!isAllowed("global_user_edit")) {
	$page_content = "<p>" . i18n("You do not have the correct permissions to change other user's information") . "</p>";
} else {

	$page_content = "
		<table cellspacing=\"4\" class=\"setup\">
		<tr class=\"setup\"><td colspan=\"2\" class=\"setup-header\">
		<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
		<tr class=\"setup\">
		<td width=\"50%\">
			<div align=\"left\"><em>
				<a href=\"./index.php?page_id=3&amp;language=$language\">Setup</a>
				&gt;&gt; <a href=\"./index.php?page_id=4&amp;language=$language\">" . i18n("Users") . "</a>
				";
			if ($_REQUEST["action"] != "") { $page_content .= "&gt;&gt; " . i18n($_REQUEST["action"]) . "
				"; }
			if ($_REQUEST["subaction"] != "") { $page_content .= "&gt;&gt; " . i18n($_REQUEST["subaction"]) . "
				"; }
	$page_content .= "
			</em></div>
		</td>
		<td>
			<div align=\"right\">
				<a class=\"command\" href=\"./index.php?page_id=4&amp;language=$language&amp;action=profile_options\">[" . i18n("Profile options") . "]</a>
				<a class=\"command\" href=\"./index.php?page_id=4&amp;language=$language&amp;action=default_permissions\">[" . i18n("Set permission defaults") . "]</a>
				<a class=\"command\" href=\"./index.php?page_id=4&amp;language=$language&amp;action=add\">[" . i18n("New") . "]</a>
			</div>
		</td></tr>
		</table>
		</td>
		</tr>
		</table>";

	if ($_REQUEST["action"] == "profile_options") {
		global $setup_folder, $language;
		
		if (file_exists("$setup_folder/profile_options.php")) $profile_options = file_get_contents("$setup_folder/profile_options.php");
		$profile_options = unserialize($profile_options);
		if ($_REQUEST["profiles_view"] != "") $profile_options["profiles_view"] = $_REQUEST["profiles_view"];
		if ($_REQUEST["profiles_contact"] != "") $profile_options["profiles_contact"] = $_REQUEST["profiles_contact"];
		if ($_REQUEST["profiles_mypage"] != "") $profile_options["profiles_mypage"] = $_REQUEST["profiles_mypage"];
		if ($_REQUEST["profiles_menu"] != "") $profile_options["profiles_menu"] = $_REQUEST["profiles_menu"];
		if ($_REQUEST["avatar_maxwidth"] != "") $profile_options["avatar_maxwidth"] = (int)$_REQUEST["avatar_maxwidth"];
		if ($_REQUEST["avatar_maxheight"] != "") $profile_options["avatar_maxheight"] =(int) $_REQUEST["avatar_maxheight"];
		if ($_REQUEST["avatar_maxfilesize"] != "") $profile_options["avatar_maxfilesize"] = (int)$_REQUEST["avatar_maxfilesize"];
		if ($_REQUEST["thumbnail_width"] != "") $profile_options["thumbnail_width"] = (int)$_REQUEST["thumbnail_width"];
		if ($_REQUEST["thumbnail_height"] != "") $profile_options["thumbnail_height"] = (int)$_REQUEST["thumbnail_height"];
		if ($_REQUEST["save_profileoptions"]) {
			if ($_REQUEST["thumbnail_enable"]) {
				$profile_options["thumbnail_enable"] = "checked";
			} else {
				$profile_options["thumbnail_enable"] = "";
			}
		}
		if ($_REQUEST["subaction"] == "contact") {
			if ($_REQUEST["subsubaction"] == "add") {
				$profile_options["contact_fields"][count($profile_options["contact_fields"])] = array(
														"name" => i18n("Name"),
														"description" => i18n("Description of the contact field"),
														"image" => "image.gif",
														"url" => "http://www.url.com/",
														"regexp" => ".*");
			} else if ($_REQUEST["save_profileoptions"]) {
				foreach($_REQUEST["name"] as $key => $value) {
					$profile_options["contact_fields"][$key]["name"] = stripslashes($value);
					$profile_options["contact_fields"][$key]["description"] = stripslashes($_REQUEST["description"][$key]);
					$profile_options["contact_fields"][$key]["image"] = stripslashes($_REQUEST["image"][$key]);
					$profile_options["contact_fields"][$key]["url"] = stripslashes($_REQUEST["url"][$key]);
					$profile_options["contact_fields"][$key]["regexp"] = stripslashes($_REQUEST["regexp"][$key]);
				}
				// Cannot delete the fields selected for deletion above, because that would mess up the order of keys
				foreach($_REQUEST["name"] as $key => $value) {
					if ($_REQUEST["remove"][$key]) {
						unset($profile_options["contact_fields"][$key]);
					}
				}
			}
			// Rotate through all contact fields and update the key values
			foreach ($profile_options["contact_fields"] as $key => $value) {
				$temp_contactfields[$value["name"]] = $value;
			}
			$profile_options["contact_fields"] = $temp_contactfields;
			
			if (count($profile_options["contact_fields"]) < 1) {
				$profile_options["contact_fields"] = array(
					"MSN" => array(
						"name" => i18n("MSN"),
						"description" => i18n("MSN Messenger"),
						"image" => "msn.gif",
						"url" => "http://www.msn.com/",
						"regexp" => ".+@.+\..+."),
					"ICQ" => array(
						"name" => i18n("ICQ"),
						"description" => i18n("I Seek U"),
						"image" => "icq.gif",
						"url" => "http://wwp.icq.com/scripts/search.dll?to=$$",
						"regexp" => ".*"),
					"Y!" => array(
						"name" => i18n("Y!"),
						"description" => i18n("Yahoo! Messenger"),
						"image" => "yahoo.gif",
						"url" => "http://edit.yahoo.com/config/send_webmesg?.target=$$&.src=pg",
						"regexp" => ".*"),
					"AIM" => array(
						"name" => i18n("AIM"),
						"description" => i18n("AOL Instant Messenger"),
						"image" => "aim.gif",
						"url" => "aim:goim%3Fscreenname=$$&message=Hello+Are+you+there%3F",
						"regexp" => ".*"),
					"Jabber" => array(
						"name" => i18n("Jabber"),
						"description" => i18n("Jabber XMPP Based Instant Messenger"),
						"image" => "jabber.gif",
						"url" => "http://www.jabber.org/",
						"regexp" => ".+@.+\..+."),
					"Google Talk" => array(
						"name" => i18n("Google Talk"),
						"description" => i18n("Google's voice-chat enabled Jabber-based Instant Messenger"),
						"image" => "gtalk.gif",
						"url" => "http://www.google.com/talk/",
						"regexp" => ".+@gmail\.com"),
					"Skype" => array(
						"name" => i18n("Skype"),
						"description" => i18n("Skype Internet Telephony"),
						"image" => "skype.gif",
						"url" => "skype:$$?call",
						"regexp" => ".*"),
					"WWW" => array(
						"name" => i18n("WWW"),
						"description" => i18n("Homepage address (remember http://)"),
						"image" => "www.gif",
						"url" => "$$",
						"regexp" => ".*")
				);
			}
		}
		unlink ("$setup_folder/profile_options.php");
		file_put_contents("$setup_folder/profile_options.php", serialize($profile_options));
		
		$tabwidget = new TabWidget;
		$tabwidget->tabbar->addTab(i18n("Default profile options"), siteURL() . "?page_id=4&amp;language=$language&amp;action=profile_options&amp;subaction=default", true);
		$tabwidget->tabbar->addTab(i18n("Avatar options"), siteURL() . "?page_id=4&amp;language=$language&amp;action=profile_options&amp;subaction=avatar", false);
		$tabwidget->tabbar->addTab(i18n("Contact fields"), siteURL() . "?page_id=4&amp;language=$language&amp;action=profile_options&amp;subaction=contact", false);
		
		switch($_REQUEST["subaction"]) {
		case "contact":
			$tabwidget->tabbar->setCurrent("Contact fields");
			$tabwidget->addCommand(i18n("Add field"), i18n("Add a new contact field"), "./index.php?page_id=4&amp;language=$language&amp;action=profile_options&amp;subaction=contact&amp;subsubaction=add");
			
			if (is_array($profile_options["contact_fields"])) {
				$temp_content = "
					<table>
					<tr class=\"setup\">
						<th width=\"50%\">" . i18n("Name and Description") . "</th>
						<th width=\"50%\">" . i18n("Image, URL and Validation regexp") . "</th>
					</tr>
					</table>";
				foreach ($profile_options["contact_fields"] as $key => $value) {
					if ($value["enabled"] == "true") { $checkedvalue = "checked "; } else { $checkedvalue = ""; }
					$temp_content .= "
					<table class=\"setup\">
					<tr class=\"setup\">
						<td width=\"35%\"><input style=\"width: 100%;\" type=\"text\" name=\"name[$key]\" value=\"{$value['name']}\" />
						<td width=\"15%\"><label><input type=\"checkbox\" name=\"remove[$key]\" />" . i18n("Delete") . "</label></td>
						<td width=\"25%\"><input style=\"width: 100%;\" type=\"text\" name=\"image[$key]\" value=\"{$value['image']}\" /></td>
						<td width=\"25%\"><input style=\"width: 100%;\" type=\"text\" name=\"regexp[$key]\" value=\"{$value['regexp']}\" /></td>
					</tr><tr class=\"setup\">
						<td colspan=\"2\"><input type=\"text\" style=\"width: 100%;\" name=\"description[$key]\" value=\"{$value['description']}\" /></td>
						<td colspan=\"2\"><input style=\"width: 100%;\" type=\"text\" name=\"url[$key]\" value=\"{$value['url']}\" /></td>
					</tr>
					</table>";
				}
				$temp_content .= "
					</table>";
			}
			
			$tabwidget->contents = $temp_content;
			break;
		case "avatar":
			$tabwidget->tabbar->setCurrent("Avatar options");
			$tabwidget->contents = "
			<table width=\"100%\">
			<tr><th colspan=\"2\">" . i18n("Maximum sizes") . "</th></tr>
			<tr>
				<td width=\"50%\">" . i18n("Width") . "</td>
				<td width=\"50%\"><input style=\"width: 100%\" type=\"text\" name=\"avatar_maxwidth\" value=\"{$profile_options['avatar_maxwidth']}\" /></td>
			</tr>
			<tr>
				<td>" . i18n("Height") . "</td>
				<td><input style=\"width: 100%\" type=\"text\" name=\"avatar_maxheight\" value=\"{$profile_options['avatar_maxheight']}\" /></td>
			</tr>
			<tr>
				<td>" . i18n("Filesize") . "</td>
				<td><input style=\"width: 100%\" type=\"text\" name=\"avatar_maxfilesize\" value=\"{$profile_options['avatar_maxfilesize']}\" /></td>
			</tr>
			<tr><th colspan=\"2\">" . i18n("Thumbnail sizes") . "</th></tr>
			<tr>
				<td colspan=\"2\"><label><input type=\"checkbox\" name=\"thumbnail_enable\" {$profile_options['thumbnail_enable']} />
				" . i18n("Enable thumbnails. If you disable this, you will probably want to greatly limit the size options for the avatar above") . "</label>
				</td>
			</tr>
			<tr>
				<td width=\"50%\">" . i18n("Width") . "</td>
				<td width=\"50%\"><input style=\"width: 100%\" type=\"text\" name=\"thumbnail_width\" value=\"{$profile_options['thumbnail_width']}\" /></td>
			</tr>
			<tr>
				<td>" . i18n("Height") . "</td>
				<td><input style=\"width: 100%\" type=\"text\" name=\"thumbnail_height\" value=\"{$profile_options['thumbnail_height']}\" /></td>
			</tr>
			</table>";
			break;
		case "default":
		default:
			$tabwidget->tabbar->setCurrent("Default profile options");
			
			$permissionlevels_array = array(
						0 => i18n("All"),
						1 => i18n("Registered users"),
						2 => i18n("Registered users, except blacklisted"),
						3 => i18n("Friends"),
						4 => i18n("Noone"));
			foreach($permissionlevels_array as $key => $value) {
				if ($profile_options["profiles_view"] == $key) { $default = " selected"; } else { $default = ""; }
				$permissionlevels_view .= "<option value=\"$key\"$default>$value</option>";
				if ($profile_options["profiles_contact"] == $key) { $default = " selected"; } else { $default = ""; }
				$permissionlevels_contact .= "<option value=\"$key\"$default>$value</option>";
				if ($profile_options["profiles_mypage"] == $key) { $default = " selected"; } else { $default = ""; }
				$permissionlevels_mypage .= "<option value=\"$key\"$default>$value</option>";
			}
			
			
			
			$tabwidget->contents = "
			<table width=\"100%\">
			<tr>
				<td width=\"50%\">" . i18n("Profiles are by default viewable by") . "</td>
				<td width=\"50%\"><select style=\"width: 100%;\" name=\"profiles_view\">$permissionlevels_view</select></td>
			</tr>
			<tr>
				<td>" . i18n("Users can by default be contacted by") . "</td>
				<td><select style=\"width: 100%;\" name=\"profiles_contact\">$permissionlevels_contact</select></td>
			</tr>
			<tr>
				<td>" . i18n("User's personal pages can by default be viewed by") . "</td>
				<td><select style=\"width: 100%;\" name=\"profiles_mypage\">$permissionlevels_mypage</select></td>
			</tr>
			<tr>
				<td>" . i18n("The menu used by the profiles section") . "</td>
				<td><select style=\"width: 100%;\" name=\"profiles_menu\">";
			
				$menu_menus = $pagectl->fetchMenuMenuList($menu_folder);
			foreach ($menu_menus as $key => $value) {
				if (is_array($value["language"])) {
					if ($value["id"] == $profile_options["profiles_menu"]) {
						$tabwidget->contents .= "\n					<option value=\"{$value["id"]}\" selected>ID {$value["id"]} (";
					} else {
						$tabwidget->contents .= "\n					<option value=\"{$value["id"]}\">ID {$value["id"]} (";
					}
					foreach ($value["language"] as $key2 => $value2) {
						$tabwidget->contents .= "$value2: {$value["title"][$key2]} ";
					}
					$tabwidget->contents .= ")</option>";
				} else {
					if ($value["id"] == $profile_options["profiles_menu"]) {
						$tabwidget->contents .= "\n					<option value=\"{$value["id"]}\" selected>ID {$value["id"]} ({$value["language"]}: {$value["title"]})</option>";
					} else {
						$tabwidget->contents .= "\n					<option value=\"{$value["id"]}\">ID {$value["id"]} ({$value["language"]}: {$value["title"]})</option>";
					}
				}
			}
			
			$tabwidget->contents .= "</select></td>
			</tr>
			</table>
			";
		}
		
		$page_content .= "
		<form action=\"./index.php?page_id=4&amp;language=$language&amp;action=profile_options&amp;subaction=" . $_REQUEST["subaction"] . "\" method=\"post\">
		". $tabwidget->renderTabWidget() . "
		<div class=\"wikicenteralign\">
		<input type=\"reset\" value=\"" . i18n("Reset") . "\" />
		<input type=\"submit\" name=\"save_profileoptions\" value=\"" . i18n("Save") . "\" />
		</div>
		</form>";
	} else if ($_REQUEST["action"] == "add") {
		if ($_REQUEST["newusername"] == "" || $_REQUEST["newpassword"] == "") { //The user name is not present or not valid, or the password is not present
			$page_content .= "
			<form action=\"./index.php?page_id=4&amp;action=add&amp;language=$language\" method=\"post\">
			<table width=\"300\" style=\"border: 1px solid gray; margin-right: auto; margin-left: auto;\">
			<tr class=\"setup\"><td colspan=\"2\" style=\"border-bottom: 1px solid gray;\">
			" . i18n("Write the username and password for the user you wish to add to the system.") . "
			<tr><td>" . i18n("Username:") . "</td><td align=\"right\"><input type=\"text\" name=\"newusername\" value=\"{$_REQUEST['newusername']}\"></td></tr>
			<tr><td>" . i18n("Password:") . "</td><td align=\"right\"><input type=\"password\" name=\"newpassword\"></td></tr>
			<tr><td>" . i18n("Repeat password:") . "</td><td align=\"right\"><input type=\"password\" name=\"newpassword2\"></td></tr>
			<tr class=\"setup\"><td colspan=\"2\" align=\"center\"><input type=\"submit\" value=\"" . i18n("Add user") . "\"></td></tr>
			</table></form>
			";
		} else {
			if ($_REQUEST["newpassword"] == $_REQUEST["newpassword2"]) {
				$usermanager->changeadd($_REQUEST["newusername"], $_REQUEST["newpassword"], "setup/password.txt");
				$page_content .= "<p>" . i18n("The user was successfully added. ##0##Please click here to return to the main setup page##1##.", array("<a href=\"./index.php?page_id=3&language=$language\">", "</a>")) . "</p>";
			} else {
				$page_content .= "<p>" . i18n("The two entered passwords to not match. Please go back and try again.") . "</p>";
			}
		}
	} else if ($_REQUEST["action"] == "default_permissions") {
		if ($_REQUEST["thepermission"] != "" && ($_REQUEST["thevalue"] == "true" || $_REQUEST["thevalue"] == "false")) {
			if (setAllowed($_REQUEST["thepermission"], $_REQUEST["thevalue"])) {
				$page_content .= "<p>" . i18n("The permissions were set successfully") . "</p>";
			} else {
				$page_content .= "<p>" . i18n("An error occured during the setting of the permission!") . "</p>";
			}
		}
		$page_content .= "
			<table width=\"100%\">
			<tr class=\"setup\">
				<th>" . i18n("Name of the permission") . "</th>
				<th>" . i18n("Current (click to allow/ disallow)") . "</th>
			</tr>
			";
		ksort($usergroups_default);
		foreach($usergroups_default as $key => $value) {
			if ($value == true) {
				$temptext = "Allowed";
				$thenewvalue = "false";
			} else {
				$temptext = "Not allowed";
				$thenewvalue = "true";
			}
			$page_content .= "
			<tr>
				<td>" . i18n($key) . "</td>
				<td class=\"wikirightalign\">";
			$page_content .= "<a class=\"command\" href=\"./index.php?page_id=4&amp;language=$language&amp;action=default_permissions&amp;thepermission=$key&amp;thevalue=$thenewvalue\">" . i18n($temptext) . "</a></td>
			</tr>
			";
		}
		$page_content .= "</table>
		";
	} else if ($_REQUEST["action"] == "permissions") {
		if ($_REQUEST["thepermission"] != "" && ($_REQUEST["thevalue"] == "true" || $_REQUEST["thevalue"] == "false")) {
			if (setAllowed($_REQUEST["thepermission"], $_REQUEST["thevalue"], $_REQUEST["theuser"])) {
				$page_content .= "<p>" . i18n("The permissions were set successfully") . "</p>";
			} else {
				$page_content .= "<p>" . i18n("An error occured during the setting of the permission!") . "</p>";
			}
		}
		$page_content .= "
			<table width=\"100%\">
			<tr class=\"setup\">
				<th>" . i18n("Name of the permission") . "</th>
				<th>" . i18n("Current (click to allow/ disallow)") . "</th>
			</tr>
			";
		$temp_usergroups = getPermissions($_REQUEST["theuser"]);
		ksort($usergroups_default);
		foreach($usergroups_default as $key => $value) {
			if (is_array($temp_usergroups)) {
				if (array_key_exists($key, $temp_usergroups)) {
					if ($temp_usergroups[$key] == true) {
						$temptext = "Allowed";
						$thenewvalue = "false";
					} else {
						$temptext = "Not allowed";
						$thenewvalue = "true";
					}
				} else {
					if ($value == true) {
						$temptext = "(default) Allowed";
						$thenewvalue = "false";
					} else {
						$temptext = "(default) Not allowed";
						$thenewvalue = "true";
					}
				}
			} else {
				if ($value == true) {
					$temptext = "(default) Allowed";
					$thenewvalue = "false";
				} else {
					$temptext = "(default) Not allowed";
					$thenewvalue = "true";
				}
			}
			$page_content .= "
			<tr>
				<td>" . i18n($key) . "</td>
				<td class=\"wikirightalign\">";
			$page_content .= "<a class=\"command\" href=\"./index.php?page_id=4&amp;language=$language&amp;action=permissions&amp;theuser={$_REQUEST['theuser']}&amp;thepermission=$key&amp;thevalue=$thenewvalue\">" . i18n($temptext) . "</a></td>
			</tr>
			";
		}
		$page_content .= "</table>
		";
		
	} else if ($_REQUEST["action"] == "remove") {
		if ($_REQUEST["remove_confirm"] != "true") {
			$page_content .= "
			<p>" . i18n("Please confirm that you wish to remove the user ##0##", array($_REQUEST['removeuser'])) . "</p>
			<div align=\"center\">
			<a href=\"./index.php?page_id=4&amp;action=remove&amp;removeuser={$_REQUEST['removeuser']}&amp;remove_confirm=true&amp;language=$language\">[". i18n("Remove user") . "]</a>
			<a href=\"./index.php?page_id=4&amp;language=$language\">[" . i18n("Abort") . "]</a>
			</div>
			";
		} else {
			if ($_REQUEST["removeuser"] == $_SESSION[$_SERVER["PHP_SELF"]]["login"]) {
				$usermanager->remove($_REQUEST["removeuser"], "setup/password.txt");
				$page_content .= "<p>" . i18n("User removed!") . "</p>";
				header("Location: ./index.php?page_id=0&language={$_REQUEST["language"]}&logout=true");
			} else if ("admin" == $_SESSION[$_SERVER["PHP_SELF"]]["login"]) {
				$usermanager->remove($_REQUEST["removeuser"], "setup/password.txt");
				$page_content .= "<p>" . i18n("User removed!") . "</p>";
				header("Location: ./index.php?page_id=4&language={$_REQUEST["language"]}");
			} else {
				$page_content .= "<p>You are not authorised to remove this user! Also, you should <i>not</i> be seeing this.</p>";
			}
		}
	} else if ($_REQUEST["action"] == "rename" && $_REQUEST["renameuser"] != "") {
		if ($_REQUEST["renameto"] == "" || $_REQUEST["renameto"] == $_REQUEST["renameuser"]) {
			$page_content .= "
			<form action=\"./index.php?page_id=4&amp;action=rename&amp;language=$language\" method=\"post\">
			<input type=\"hidden\" name=\"renameuser\" value=\"{$_REQUEST['renameuser']}\" />
			<table width=\"300\" style=\"border: 1px solid gray; margin-right: auto; margin-left: auto;\">
			<tr class=\"setup\"><td colspan=\"2\" style=\"border-bottom: 1px solid gray;\">
			" . i18n("Write the new username for the user ##0## in the text box bellow.", array($_REQUEST["renameuser"])) . "
			<tr><td>" . i18n("Username:") . "</td><td align=\"right\"><input type=\"text\" name=\"renameto\" value=\"{$_REQUEST['renameuser']}\"></td></tr>
			<tr class=\"setup\"><td colspan=\"2\" align=\"center\"><input type=\"submit\" value=\"" . i18n("Rename") . "\"></td></tr>
			</table></form>
			";
		} else {
			$usermanager->rename($_REQUEST["renameuser"], $_REQUEST["renameto"]);
			$page_content .= "<p>" . i18n("User renamed") . "</p>";
			header("Location: ./index.php?page_id=4&language={$_REQUEST["language"]}");
		}
	} else { //No action, just show default user management stuff
		$bgarray[1] = "transparent";
		$bgarray[2] = "#e0e0e0";
		//Make the Users sub-section
		$fp = fopen("setup/password.txt", "r");
		while (!feof($fp)) {
			$line = trim(fgets($fp, 1000));
			list($l, $p) = explode(",", $line);
			$bgarray = array_reverse($bgarray);
			if (!isAllowed("group_admin") && $let_user_delete_self == true) { //This is shown if the user is not admin
				if ($l == "admin" || !($l == $_SESSION["authdata"]["login"])) { //You aren't allowed to remove the admin user, or for users, any user that is not themselves
					$temp_content = "$temp_content
					<tr><td style=\"background-color: {$bgarray[1]};\"><div align=\"left\">$l</div></td><td style=\"background-color: {$bgarray[1]};\" align=\"right\"><div class=\"command\">" . i18n("(admin only)") . "</div></td></tr>";
				} else {
					$temp_content = "$temp_content
					<tr><td style=\"background-color: {$bgarray[1]};\"><div align=\"left\">$l</div></td><td style=\"background-color: {$bgarray[1]};\" align=\"right\"><div class=\"command\">
					<a class=\"command\" href=\"./index.php?page_id=4&amp;language=$language&amp;action=remove&amp;removeuser=$l\">[" . i18n("Remove") . "]</a>
					<a class=\"command\" href=\"./index.php?page_id=13&amp;language=$language&amp;user_id=$l&profile_mode=edit\">[" . i18n("Edit user") . "]</a></div></td></tr>";
				}
			} else {
				if ($l == "admin") { //You aren't allowed to remove the admin user
					$temp_content = "$temp_content
					<tr><td style=\"background-color: {$bgarray[1]};\"><div align=\"left\">$l</div></td><td style=\"background-color: {$bgarray[1]};\" align=\"right\"><div class=\"command\">
					<a class=\"command\" href=\"./index.php?page_id=13&amp;language=$language&amp;user_id=$l&profile_mode=edit\">[" . i18n("Edit user") . "]</a></div></td></tr>";
				} else {
					$temp_content = "$temp_content
					<tr><td style=\"background-color: {$bgarray[1]};\"><div align=\"left\">$l</div></td><td style=\"background-color: {$bgarray[1]};\" align=\"right\"><div class=\"command\">
					<a class=\"command\" href=\"./index.php?page_id=4&amp;language=$language&amp;action=permissions&amp;theuser=$l\">[" . i18n("Permissions") . "]
					<a class=\"command\" href=\"./index.php?page_id=4&amp;language=$language&amp;action=remove&amp;removeuser=$l\">[" . i18n("Remove") . "]</a>
					<a class=\"command\" href=\"./index.php?page_id=4&amp;language=$language&amp;action=rename&amp;renameuser=$l\">[" . i18n("Rename") . "]</a>
					<a class=\"command\" href=\"./index.php?page_id=13&amp;language=$language&amp;user_id=$l&profile_mode=edit\">[" . i18n("Edit user") . "]</a></a>
					</div></td></tr>";
				}
			}
		}
		fclose($fp);

		$page_content .= "
				<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\">
				<tr class=\"setup\">
				<th style=\"border-bottom: 1px solid gray;\">" . i18n("Username") . "</th>
				<th style=\"border-bottom: 1px solid gray;\">" . i18n("Functions") . "</th>
				</tr>
		
		$temp_content</table>";
	}

}
?>
